Skip to main content

Consumer Provider

View as Markdown

ProviderInfo object

idstringPublic Preview
namestringPublic Preview
descriptionstringPublic Preview
icon_file_pathstringPublic Preview
business_contact_emailstringPublic Preview
support_contact_emailstringPublic Preview
published_bystringPublic Preview

published_by is only applicable to data aggregators (e.g. Crux)

icon_file_idstringPublic Preview
dark_mode_icon_file_idstringPublic Preview
dark_mode_icon_file_pathstringPublic Preview

Get Public Preview

GET /api/2.1/marketplace-consumer/providers/{id}

Get a provider in the Databricks Marketplace with at least one visible listing.

API scopes: marketplace

Parameters

idstringRequiredpath

Response

providerobject
Show child attributesHide child attributes
idstring
namestringRequired
descriptionstring
icon_file_pathstring
business_contact_emailstringRequired
support_contact_emailstring
published_bystring

published_by is only applicable to data aggregators (e.g. Crux)

icon_file_idstring
dark_mode_icon_file_idstring
dark_mode_icon_file_pathstring

List Public Preview

GET /api/2.1/marketplace-consumer/providers

List all providers in the Databricks Marketplace with at least one visible listing.

API scopes: marketplace

Parameters

page_tokenstringquery
page_sizeint32query

Response

Returns a list of ProviderInfo objects.

Batch Get Providers Public Preview

GET /api/2.1/marketplace-consumer/providers:batchGet

Batch get a provider in the Databricks Marketplace with at least one visible listing.

API scopes: marketplace

Parameters

idsarray of stringquery

Response

Returns a list of ProviderInfo objects.